com.avaya.ccs.api.enums

## Enum ContactType

- java.lang.Object
- - java.lang.Enum<ContactType>
  - - com.avaya.ccs.api.enums.ContactType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ContactType>

      public enum ContactType
      extends java.lang.Enum<ContactType>

  A `ContactType` identifies what type of media a `UserI`, `ResourceI` or `InteractionI` object is handling or is capable of handling.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EMail`
    `Fax`
    `OpenQ`
    `Outbound`
    `POM_Outbound`
    `Scanned_Document`
    `SMS`
    `Unknown`
    `Video`
    `Voice`
    `Voice_Mail`
    `Web_Communications`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContactType` | `get(java.lang.String typeName)`
    `static ContactType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ContactType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Voice

          public static final ContactType Voice

    - #### EMail

          public static final ContactType EMail

    - #### Web_Communications

          public static final ContactType Web_Communications

    - #### Outbound

          public static final ContactType Outbound

    - #### POM_Outbound

          public static final ContactType POM_Outbound

    - #### Scanned_Document

          public static final ContactType Scanned_Document

    - #### Fax

          public static final ContactType Fax

    - #### SMS

          public static final ContactType SMS

    - #### Voice_Mail

          public static final ContactType Voice_Mail

    - #### Video

          public static final ContactType Video

    - #### OpenQ

          public static final ContactType OpenQ

    - #### Unknown

          public static final ContactType Unknown

  - ### Method Detail

    - #### values

          public static ContactType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContactType c : ContactType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContactType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static ContactType get(java.lang.String typeName)